PROJ = INT65
PROJFILE = INT65.MAK
DEBUG = 0

CC  = cl
CFLAGS_G  = /AL /W0 /BATCH /Zp1
CFLAGS_D  = /qc /Gi$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Os /Ol /Og /Oe /Oi /Gs
MAPFILE_D  = NUL
MAPFILE_R  = $(PROJ).map
LFLAGS_G  = /NOI  /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC
LFLAGS_R  = /M /FAR /PACKC
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
LLIBS_R  = LLIBCE

OBJS  = INT65.obj APPL.obj APPL1.obj CURHSCB.obj PATTACH.obj PREQMEM.obj

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

INT65.obj : INT65.C c:\c600\include\dos.h c:\c600\include\string.h\
	c:\c600\include\memory.h c:\c600\include\malloc.h\
	c:\c600\include\stdio.h c:\c600\include\stdlib.h

APPL.obj : APPL.C c:\c600\include\stdio.h c:\c600\include\memory.h\
	c:\c600\include\string.h c:\lu62\novell\inc\include.h\
	c:\c600\include\malloc.h c:\lu62\novell\inc\state1.h\
	c:\c600\include\dos.h c:\lu62\novell\inc\hscb.h\
	c:\lu62\novell\inc\bind.h c:\lu62\novell\inc\unbind.h\
	c:\lu62\novell\inc\th.h c:\lu62\novell\inc\rh.h\
	c:\lu62\novell\inc\ru.h c:\lu62\novell\inc\nau.h\
	c:\lu62\novell\inc\rqb.h c:\lu62\novell\inc\segprf.h\
	c:\lu62\novell\inc\nib.h

APPL1.obj : APPL1.C c:\lu62\novell\inc\include.h c:\c600\include\memory.h\
	c:\c600\include\string.h c:\c600\include\malloc.h\
	c:\c600\include\stdlib.h c:\c600\include\stdio.h\
	c:\lu62\novell\inc\state1.h c:\lu62\novell\inc\hscb.h\
	c:\lu62\novell\inc\bind.h c:\lu62\novell\inc\unbind.h\
	c:\lu62\novell\inc\th.h c:\lu62\novell\inc\rh.h\
	c:\lu62\novell\inc\ru.h c:\lu62\novell\inc\nau.h\
	c:\lu62\novell\inc\rqb.h c:\lu62\novell\inc\segprf.h\
	c:\lu62\novell\inc\nib.h

CURHSCB.obj : CURHSCB.C c:\lu62\novell\inc\include.h c:\c600\include\string.h\
	c:\c600\include\malloc.h c:\c600\include\stdlib.h\
	c:\c600\include\stdio.h c:\lu62\novell\inc\hscb.h\
	c:\lu62\novell\inc\bind.h c:\lu62\novell\inc\unbind.h\
	c:\lu62\novell\inc\th.h c:\lu62\novell\inc\rh.h\
	c:\lu62\novell\inc\ru.h c:\lu62\novell\inc\nau.h\
	c:\lu62\novell\inc\rqb.h c:\lu62\novell\inc\segprf.h\
	c:\lu62\novell\inc\nib.h

PATTACH.obj : PATTACH.C c:\c600\include\dos.h c:\c600\include\stdio.h\
	c:\c600\include\memory.h c:\lu62\novell\inc\nau.h

PREQMEM.obj : PREQMEM.C c:\lu62\novell\inc\include.h c:\c600\include\malloc.h\
	c:\c600\include\stdlib.h c:\c600\include\stdio.h\
	c:\lu62\novell\inc\hscb.h c:\lu62\novell\inc\bind.h\
	c:\lu62\novell\inc\unbind.h c:\lu62\novell\inc\th.h\
	c:\lu62\novell\inc\rh.h c:\lu62\novell\inc\ru.h\
	c:\lu62\novell\inc\nau.h c:\lu62\novell\inc\rqb.h\
	c:\lu62\novell\inc\segprf.h c:\lu62\novell\inc\nib.h


$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
	$(ILINK) -a -e "$(LINKER) @$(PROJ).lrf" $@
!ELSE
	$(LINKER) @$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).exe
	$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
